CREATE TABLE IF NOT EXISTS recipes (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  name TEXT NOT NULL,
  description TEXT DEFAULT '',
  additional_text TEXT DEFAULT '',
  servings TEXT NOT NULL,
  ingredients TEXT NOT NULL,
  preparation TEXT NOT NULL,
  preparation_time INT DEFAULT 0,
  upvotes INT DEFAULT 0,
  downvotes INT DEFAULT 0,
  contains_meat_or_meat_products BOOLEAN NOT NULL,
  contains_fish BOOLEAN NOT NULL,
  contains_animal_products BOOLEAN NOT NULL,
  enhancements TEXT DEFAULT '{}',
  source TEXT
);
